package com.chinaitop.depot.intelligent.basicdata.mapper;

import com.chinaitop.depot.intelligent.basicdata.model.TSendNumber;
import com.chinaitop.depot.intelligent.basicdata.model.TSendNumberExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TSendNumberMapper {
    int countByExample(TSendNumberExample example);

    int deleteByExample(TSendNumberExample example);

    int deleteByPrimaryKey(String id);

    int insert(TSendNumber record);

    int insertSelective(TSendNumber record);

    List<TSendNumber> selectByExample(TSendNumberExample example);

    TSendNumber selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TSendNumber record, @Param("example") TSendNumberExample example);

    int updateByExample(@Param("record") TSendNumber record, @Param("example") TSendNumberExample example);

    int updateByPrimaryKeySelective(TSendNumber record);

    int updateByPrimaryKey(TSendNumber record);
}